%define sourcedir stable/%{version}/distribution/tar/generic/source
%define pkg kdegames
%define is_release 1
%define beta %{nil}
%define DATE 20020326
%define monolithic 1
Version: 3.0.0
%define rel 2

Name: %{pkg}
BuildPrereq: qt-devel kdelibs-devel zlib-devel libjpeg-devel libpng-devel
Prefix: /usr
%if %{is_release}
%if "%{beta}" != ""
Release: 0.%{beta}.%{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{version}-%{beta}.tar.bz2
%else
Release: %{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{version}.tar.bz2
%endif
%else
Release: 0.cvs%{DATE}.%{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{DATE}.tar.bz2
%endif
Patch: kdegames-2.1-kpatcards.patch
Icon: kde-icon.xpm
Summary: K Desktop Environment - Games
Epoch: 6
Group: Amusements/Games
BuildRoot: %{_tmppath}/%{pkg}-buildroot
License: GPL
Source900: gccver.c

%description
Games and gaming libraries for the K Desktop Environment.
Included with this package are: kenolaba, kasteroids, kblackbox, kmahjongg,
kmines, konquest, kpat, kpoker, kreversi, ksame, kshisen, ksokoban, ksmiletris,
ksnake, ksirtet, katomic, kjumpingcube, ktuberling.

%package libs
Summary: Gaming libraries for KDE
Group: System Environment/Libraries

%description libs
KDE gaming libraries.
This package includes libkdegames (a library providing functionality commonly
needed by games) and libkdehighscores (highscore handling library).

%package devel
Summary: Development files for kdegames
Group: Development/Libraries
%if %monolithic
Requires: %{name} = %{version}-%{release}
%else
Requires: %{name}-libs = %{version}-%{release}
%endif

%description devel
Development files for the KDE gaming libraries.
Install kdegames-devel if you wish to develop or compile games for the
KDE desktop.

%package kenolaba
Summary: The Abalone board game for KDE
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description kenolaba
An implementation of the Abalone board game for KDE.
You can play both against the computer and against human players.

%package kasteroids
Summary: Asteroids game for KDE
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description kasteroids
An Asteroids-like game for KDE. Shoot the asteroids before they hit you!

%package katomic
Summary: Katomic - a game for KDE
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description katomic
The aim of Atomic Entertainment is to build chemical molecules using basic
atoms you are given.  The molecule being built is shown in a frame in the main
window.

Clicking on an atom will cause arrows to appear beside it.  These arrows
show the direction the atom can be moved. After an arrow is clicked, the atom
will move in this direction until it reaches the next border or another atom. Iftwo atoms touch each other with the corresponding connectors, they form a
molecule. The atoms can only be moved one at a time.

%package kbackgammon
Summary: A Backgammon game for KDE
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description kbackgammon
A Backgammon game for KDE.

%package kbattleship
Summary: A Battleship game for KDE
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description kbattleship
A Battleship game for KDE. kbattleship can be played both against the computer
and against other human players.

%package kblackbox
Summary: A strategy game for KDE
Group: Amusements/Games

%description kblackbox
A strategy game for KDE. Can you find out where the hidden balls are?

%package kfouleggs
Summary: A falling blocks game - arrange the blocks by color.
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description kfouleggs
A falling blocks game for KDE.
Arranging the falling blocks by color will make them disappear.

%package kbounce
Summary: A KDE game: Try catching the bouncing balls
Group: Amusements/Games

%description kbounce
A KDE game: Try catching the bouncing balls!

%package kjumpingcube
Summary: A strategy game. Try to make all fields show your color!
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description kjumpingcube
A strategy game. Try to make all fields show your color!
kjumpingcube can be played both against the computer and against other
human players.

%package klines
Summary: A strategy game: Try to arrange the marbles by color!
Group: Amusements/Games

%description klines
A strategy game: Try to arrange the marbles by color!

%package kmahjongg
Summary: A Mahjongg game for KDE
Group: Amusements/Games

%description kmahjongg
A Majhongg game for KDE.
Make 2 identical blocks disappear.

%package kmines
Summary: A minefield game for KDE
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description kmines
A minefield game for KDE - find all mines without blowing up!

%package konquest
Summary: A conquest game for KDE
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description konquest
A multiplayer strategy game for KDE - try to conquer all galaxies.

%package kpat
Summary: Some solitaire games for KDE
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description kpat
Some solitaire card games for KDE

%package kpoker
Summary: A Poker game for KDE
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description kpoker
A Poker game for KDE

%package kreversi
Summary: A Reversi (Flip Side) game for KDE
Group: Amusements/Games

%description kreversi
A Reversi (Flip Side) game for KDE

%package ksame
Summary: A strategy game for KDE - connect as many balls of the same color as possible
Group: Amusements/Games

%description ksame
A strategy game for KDE - connect as many balls of the same color as possible

%package kshisen
Summary: Shisen Sho (a Mahjongg-like game) for KDE
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description kshisen
Shisen Sho (a Mahjongg-like game) for KDE

%package ksirtet
Summary: A falling blocks game for KDE
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description ksirtet
Make the falling blocks disappear by arranging them in lines

%package ksmiletris
Summary: A falling blocks game for KDE
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description ksmiletris
Make the falling blocks disappear - finding out how to do it is half the
fun. ;)

%package ksnake
Summary: A snake game for KDE
Group: Amusements/Games

%description ksnake
A snake game for KDE - collect all apples, but don't crash into the walls!

%package ksokoban
Summary: A Sokoban (move chests to the correct location) game for KDE
Group: Amusements/Games

%description ksokoban
A Sokoban (move chests to the correct location) game for KDE

%package kspaceduel
Summary: A space duel game for KDE
Group: Amusements/Games

%description kspaceduel
A space duel game for KDE.
kspaceduel can be played both against other humans and against the computer.

%package ktron
Summary: A Tron game for KDE - make the opponent crash into a wall first!
Group: Amusements/Games

%description ktron
A Tron game for KDE - make the opponent crash into a wall first!
ktron can be played both against other humans and against the computer.

%package ktuberling
Summary: Create a potato man
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description ktuberling
Create a potato man - place eyes, nose, mouth, eyebrows etc. on a potato.

%package kwin4
Summary: Connect 4 game for KDE
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description kwin4
An implementation of the Connect 4 board game for KDE

%package lskat
Summary: A card game for KDE, based on the German "Offiziersskat" game
Group: Amusements/Games
Requires: %{name}-libs = %{version}

%description lskat
Lt. Skat is a card game for KDE, based on the German "Offiziersskat" game,
a 2 player variant of the Skat game.
lskat can be played against the computer.

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%setup -q -n %{pkg}-%{version}
%else
%setup -q -n %{pkg}
%endif
%patch -p1 -b .bug

# Workaround for legacy auto* tools
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
# End workaround

make -f Makefile.cvs

%build
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

CFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG -fno-check-new" \
./configure --prefix=%{prefix} --includedir=%{prefix}/include/kde # --enable-final re-enable when gcc is fixed
gcc -o gccver %{SOURCE900}
if [ "0`./gccver`" -lt 3001 ]; then
        find . -name Makefile |xargs perl -pi -e "s,^CXXLD\s*=.*,\$& -release gcc`./gccver -v`,g"
fi
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

# Make symlinks relative
cd $RPM_BUILD_ROOT/usr/share/doc/HTML/en
for i in *; do
	if [ -d $i -a -L $i/common ]; then
		rm -f $RPM_BUILD_ROOT/usr/share/doc/HTML/en/$i/common
		ln -sf ../common $RPM_BUILD_ROOT/usr/share/doc/HTML/en/$i
	fi
done

%clean
# rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{pkg}

%if %monolithic
%files
%else
%files libs
%endif
%defattr(-,root,root)
%{_libdir}/libkde*
%{_datadir}/apps/carddecks
%{_datadir}/apps/kdegames
%{_datadir}/icons/*/*/*/roll.png
%{_datadir}/icons/*/*/*/highscore.png

%if ! %monolithic
%files kenolaba
%defattr(-,root,root)
%endif
%{_bindir}/kenolaba
%{_datadir}/applnk/Games/Board/kenolaba.desktop
%{_datadir}/apps/kenolaba
%{_datadir}/icons/*/*/apps/kenolaba*
%doc %{_docdir}/HTML/en/kenolaba

%if ! %monolithic
%files kasteroids
%defattr(-,root,root)
%endif
%{_bindir}/kasteroids
%{_datadir}/applnk/Games/Arcade/kasteroids.desktop
%{_datadir}/apps/kasteroids
%{_datadir}/icons/*/*/apps/kasteroids*
%doc %{_docdir}/HTML/en/kasteroids

%if ! %monolithic
%files katomic
%defattr(-,root,root)
%endif
%{_bindir}/katomic
%{_datadir}/applnk/Games/TacticStrategy/katomic.desktop
%{_datadir}/apps/katomic
%{_datadir}/icons/*/*/apps/katomic*
%doc %{_docdir}/HTML/en/katomic

%if ! %monolithic
%files kbackgammon
%defattr(-,root,root)
%endif
%{_bindir}/kbackgammon
%{_libdir}/kbackgammon*
%{_datadir}/applnk/Games/Board/kbackgammon.desktop
%{_datadir}/apps/kbackgammon
%{_datadir}/icons/*/*/apps/kbackgammon*
%doc %{_docdir}/HTML/en/kbackgammon

%if ! %monolithic
%files kbattleship
%defattr(-,root,root)
%endif
%{_datadir}/applnk/Games/Board/kbattleship.desktop
%{_datadir}/apps/kbattleship
%{_datadir}/icons/*/*/apps/kbattleship*
%{_bindir}/kbattleship
%doc %{_docdir}/HTML/en/kbattleship

%if ! %monolithic
%files kblackbox
%defattr(-,root,root)
%endif
%{_bindir}/kblackbox
%{_datadir}/applnk/Games/Board/kblackbox.desktop
%{_datadir}/apps/kblackbox
%{_datadir}/icons/*/*/apps/kblackbox*
%doc %{_docdir}/HTML/en/kblackbox

%if ! %monolithic
%files kfouleggs
%defattr(-,root,root)
%endif
%{_bindir}/kfouleggs
%{_datadir}/applnk/Games/Arcade/kfouleggs.desktop
%{_datadir}/apps/kfouleggs
%doc %{_docdir}/HTML/en/kfouleggs

%if ! %monolithic
%files kbounce
%defattr(-,root,root)
%endif
%{_bindir}/kbounce
%{_datadir}/applnk/Games/Arcade/kbounce.desktop
%{_datadir}/apps/kbounce
%{_datadir}/icons/*/*/apps/kbounce*
%doc %{_docdir}/HTML/en/kbounce

%if ! %monolithic
%files kjumpingcube
%defattr(-,root,root)
%endif
%{_bindir}/kjumpingcube
%{_datadir}/applnk/Games/TacticStrategy/kjumpingcube.desktop
%{_datadir}/apps/kjumpingcube
%{_datadir}/icons/*/*/apps/kjumpingcube*
%doc %{_docdir}/HTML/en/kjumpingcube

%if ! %monolithic
%files klines
%defattr(-,root,root)
%endif
%{_bindir}/klines
%{_datadir}/applnk/Games/TacticStrategy/klines.desktop
%{_datadir}/apps/klines
%{_datadir}/icons/*/*/apps/klines*
%doc %{_docdir}/HTML/en/klines

%if ! %monolithic
%files kmahjongg
%defattr(-,root,root)
%endif
%{_bindir}/kmahjongg
%{_datadir}/applnk/Games/Board/kmahjongg.desktop
%{_datadir}/apps/kmahjongg
%{_datadir}/icons/*/*/apps/kmahjongg*

%if ! %monolithic
%files kmines
%defattr(-,root,root)
%endif
%{_bindir}/kmines
%{_datadir}/applnk/Games/TacticStrategy/kmines.desktop
%{_datadir}/apps/kmines
%{_datadir}/icons/*/*/apps/kmines*
%doc %{_docdir}/HTML/en/kmines

%if ! %monolithic
%files konquest
%defattr(-,root,root)
%endif
%{_bindir}/konquest
%{_datadir}/applnk/Games/TacticStrategy/konquest.desktop
%{_datadir}/apps/konquest
%{_datadir}/icons/*/*/apps/konquest*
%doc %{_docdir}/HTML/en/konquest

%if ! %monolithic
%files kpat
%defattr(-,root,root)
%endif
%{_bindir}/kpat
%{_datadir}/applnk/Games/Card/kpat.desktop
%{_datadir}/apps/kpat
%{_datadir}/icons/*/*/apps/kpat*
%doc %{_docdir}/HTML/en/kpat

%if ! %monolithic
%files kpoker
%defattr(-,root,root)
%endif
%{_bindir}/kpoker
%{_datadir}/applnk/Games/Card/kpoker.desktop
%{_datadir}/apps/kpoker
%{_datadir}/icons/*/*/apps/kpoker*
%doc %{_docdir}/HTML/en/kpoker

%if ! %monolithic
%files kreversi
%defattr(-,root,root)
%endif
%{_bindir}/kreversi
%{_datadir}/applnk/Games/Board/kreversi.desktop
%{_datadir}/apps/kreversi
%{_datadir}/icons/*/*/apps/kreversi*
%doc %{_docdir}/HTML/en/kreversi

%if ! %monolithic
%files ksame
%defattr(-,root,root)
%endif
%{_bindir}/ksame
%{_datadir}/applnk/Games/TacticStrategy/ksame.desktop
%{_datadir}/apps/ksame
%{_datadir}/icons/*/*/apps/ksame*
%doc %{_docdir}/HTML/en/ksame

%if ! %monolithic
%files kshisen
%defattr(-,root,root)
%endif
%{_bindir}/kshisen
%{_datadir}/applnk/Games/Board/kshisen.desktop
%{_datadir}/apps/kshisen
%{_datadir}/icons/*/*/apps/kshisen*
%doc %{_docdir}/HTML/en/kshisen

%if ! %monolithic
%files ksirtet
%defattr(-,root,root)
%endif
%{_bindir}/ksirtet
%{_datadir}/applnk/Games/Arcade/ksirtet.desktop
%{_datadir}/apps/ksirtet
%{_datadir}/icons/*/*/apps/ksirtet*
%{_libdir}/libksirtet*
%doc %{_docdir}/HTML/en/ksirtet

%if ! %monolithic
%files ksmiletris
%defattr(-,root,root)
%endif
%{_bindir}/ksmiletris
%{_datadir}/applnk/Games/Arcade/ksmiletris.desktop
%{_datadir}/apps/ksmiletris
%{_datadir}/icons/*/*/apps/ksmiletris*

%if ! %monolithic
%files ksnake
%defattr(-,root,root)
%endif
%{_bindir}/ksnake
%{_datadir}/applnk/Games/Arcade/ksnake.desktop
%{_datadir}/apps/ksnake
%{_datadir}/icons/*/*/apps/ksnake*
%doc %{_docdir}/HTML/en/ksnake

%if ! %monolithic
%files ksokoban
%defattr(-,root,root)
%endif
%{_bindir}/ksokoban
%{_datadir}/applnk/Games/TacticStrategy/ksokoban.desktop
%{_datadir}/icons/*/*/apps/ksokoban*
%doc %{_docdir}/HTML/en/ksokoban

%if ! %monolithic
%files kspaceduel
%defattr(-,root,root)
%endif
%{_bindir}/kspaceduel
%{_datadir}/applnk/Games/Arcade/kspaceduel.desktop
%{_datadir}/apps/kspaceduel
%{_datadir}/icons/*/*/apps/kspaceduel*
%doc %{_docdir}/HTML/en/kspaceduel

%if ! %monolithic
%files ktron
%defattr(-,root,root)
%endif
%{_bindir}/ktron
%{_datadir}/applnk/Games/Arcade/ktron.desktop
%{_datadir}/apps/ktron
%{_datadir}/icons/*/*/apps/ktron*
%doc %{_docdir}/HTML/en/ktron

%if ! %monolithic
%files ktuberling
%defattr(-,root,root)
%endif
%{_bindir}/ktuberling
%{_datadir}/applnk/Toys/ktuberling.desktop
%{_datadir}/apps/ktuberling
%{_datadir}/icons/*/*/apps/ktuberling*
%doc %{_docdir}/HTML/en/ktuberling

%if ! %monolithic
%files kwin4
%defattr(-,root,root)
%endif
%{_bindir}/kwin4*
%{_datadir}/applnk/Games/Board/kwin4.desktop
%{_datadir}/apps/kwin4
%{_datadir}/icons/*/*/apps/kwin4*
%doc %{_docdir}/HTML/en/kwin4

%if ! %monolithic
%files lskat
%defattr(-,root,root)
%endif
%{_bindir}/lskat*
%{_datadir}/applnk/Games/Card/lskat.desktop
%{_datadir}/apps/lskat
%{_datadir}/icons/*/*/apps/lskat*
%doc %{_docdir}/HTML/en/lskat

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Change sonames

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-1
- final

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020306.1
- Fix packaging glitch in monolithic version

* Tue Mar  5 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020305.1
- Make splits a buildtime option (off by default) on request

* Mon Jan  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020107.1
- Update to work with latest kdelibs changes

* Wed Dec 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011226.1
- Update
- Add missing %{_bindir}/kbattleship

* Sat Dec 15 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011215.1
- Update
- Split into several packages (one package per game)

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- Work around ia64 breakages
- Add build requirements (#48977)

* Thu Feb 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix problem when changing the card type (Bug #28824)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Feb 11 2001 Than Ngo <than@redhat.com>
- don't use make -j CPU, it's broken

* Thu Feb  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Run ldconfig in %%post and %%postun to make libkdegames happy
- Replace absolute symlinks with relative symlinks (#24787)

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- includedir=/usr/include/kde,
  now that libkdegames installs kcarddeck.h

* Wed Jan 17 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of the gcc bug workaround, it's no longer needed

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't exclude ia64

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to HEAD

* Sat Oct 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH, now that the ".0 release" bugs are fixed.

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Mon Oct  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS
- work around g++ bugs (in kjumpingcube)

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- fix docdir
- rebuild 16 July snapshot

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Fri Oct 22 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshot

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com> 
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release
- ripped out asteroids and sirtet

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Feb 05 1999 Preston Brown <pbrown@redhat.com>
- rebuilt for new libstdc++ etc.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged updates from Duncan Haldane, change /opt/kde --> /usr

